import { Logger, Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';

@Injectable()
export class AppService {
  constructor(
    private readonly logger: Logger,
    private configService: ConfigService,
  ) {}
  healthcheck() {
    return 'OK';
  }
  version() {
    this.logger.debug(
      this.configService.get<string>('APP_VERSION') || 'Not APP_VERSION',
    );
    return process.env.APP_VERSION || '0.0.0';
  }
}
