import { ApiProperty } from '@nestjs/swagger';
import { Staff } from 'src/staffs/entities/staff.entity';
import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';

// @Entity('departments')
@Entity()
export class Department {
  @ApiProperty({
    type: Number,
    name: 'id',
    description: 'id of department, auto-incremented',
    required: true,
  })
  @PrimaryGeneratedColumn('increment')
  id: number;

  @ApiProperty({
    type: String,
    name: 'name',
    description: 'Department name',
    required: true,
  })
  @Column({
    type: 'varchar',
  })
  name: string;

  // @OneToMany((type) => Staff, (staff) => staff.departmentId)
  // staffs: Staff[];
}
